<script language="javascript">
<!--

function obj_Change(evt)
{
  var objectID = getObjEvento(evt);
  alert('Change: ' + objectID );
}

  function GetEventos()
  {
    /**
     *  Evento onKeypress  =======================================================
     */
    if (document.layers)
    {
      // NetScape
      // ========
      document.captureEvents(Event.MOUSEUP);
      document.onmouseup = key_Press;
      //alert('nivel: 1');
    }else if (document.attachEvent)
    {
      // Internet Explorer 5
      // ===================
      document.attachEvent( 'onkeypress', key_Press );
      document.attachEvent( 'onkeyup',    key_Up );
      document.attachEvent( 'onkeydown',  key_Down );

      document.attachEvent( 'onclick',     mouse_Click );
      document.attachEvent( 'onmouseover', mouse_Over );
      document.attachEvent( 'onmouseout',  mouse_Out );
      document.attachEvent( 'onmousemove', mouse_Move );
      document.attachEvent( 'onmousedown', mouse_Down );
      document.attachEvent( 'onmouseup',   mouse_Up );
      
      document.attachEvent( 'oncontextmenu', mouse_Button_Dir );

      alert('nivel: 2 .....');
    }else if (document.addEventListener)
    {
      // Mozilla
      // =======
      document.addEventListener( 'keypress', key_Press, false );
      document.addEventListener( 'click', mouse_Click, false );
      document.addEventListener( 'mouseover', mouse_Over, false );
      document.addEventListener( 'mouseout', mouse_Out, false );
      document.addEventListener( 'mousemove', mouse_Move, false );
      document.addEventListener( 'mousedown', mouse_Down, false );
      document.addEventListener( 'mouseup', mouse_Up, false );
      document.addEventListener( 'contextmenu', mouse_Button_Dir, false );
      //alert('nivel: 3');
    }else
    {
      document.onclick = key_Press;
      //alert('nivel: 4');
    }// End if (document.layers)


  }// End function GetEventos()


  /**
   *  getObjEvento()
   *
   *  Identifica o Objeto que gerou o Evento
   *
   */
  function getObjEvento(evt)
  {
    var objectID = null;
    if (document.layers)
    {
      objectID = evt.target.id;
    }else if (window.event && window.event.srcElement)
    {
      objectID = event.srcElement.id;
    }else if (evt && evt.stopPropagation && !window.opera)
    {
      if (evt.target.nodeType == 1)
      {
        objectID = evt.target.id;
      }else
      {
        objectID = evt.target.parentNode.id;
      }
    }else if (window.opera && evt)
    {
      objectID = evt.target.id;
    }// End if (document.layers)
    return objectID;
  }// End function getObjEvento(evt)

-->
</script>
